
%define name	tmispell-voikko
%define shortname	tmispell
%define version	0.5.0
%define release	1

Summary:	Ispell compatible front-end for Voikko
Name:		%name
Version:	%version
Release:	%mkrel %release
License:	GPL
Group:		Text tools
URL:		http://www.hunspell-fi.org/
Source:		http://www.hunspell-fi.org/files/%name-%version.tar.bz2
Patch0:		tmispell-voikko-0.5.0-cond-enchant.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	ncurses-devel
BuildRequires:	glib2-devel
Conflicts:	ispell
# Only Finnish is supported currently, remove these if more are added
Provides:	ispell-fi
Requires:	locales-fi
# tmispell-voikko uses dlopen, but is really useless without libvoikko
# Will be fixed upstream for next version
Requires:	%mklibname voikko 1
Requires:	voikko-dictionary

%description
Tmispell is an Ispell compatible front-end for spell-checking
modules. To do the actual spell-checking for Finnish language it
uses the spell-checking system Voikko.

Since tmispell-voikko imitates ispell, you have to configure the
relevant program to use ispell for spell-checking and select
dictionary "suomi" or "Finnish".

%prep
%setup -q
%patch0 -p0
perl -pi -e 's,/usr/lib/,%{_libdir}/,' tmispell.conf.example

%build
autoconf-2.5x
%configure2_5x --disable-enchant
%make

%install
rm -rf %{buildroot}
%makeinstall_std

ln -s tmispell %{buildroot}%{_bindir}/ispell

install -d -m755 %{buildroot}%{_sysconfdir}
install -m644 tmispell.conf.example %{buildroot}%{_sysconfdir}/tmispell.conf

# fake Finnish dictionary for ispell clients
install -d -m755 %{buildroot}%{_prefix}/lib/ispell
touch %{buildroot}%{_prefix}/lib/ispell/suomi.{hash,aff}

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog LUEMINUT NEWS NEWS.fi README
%config %{_sysconfdir}/tmispell.conf
%{_bindir}/ispell
%{_bindir}/tmispell
%{_prefix}/lib/ispell
%{_mandir}/man1/tmispell.1*
%{_mandir}/man5/tmispell.conf.5*

%changelog
* Mon Aug 21 2006 Anssi Hannula <anssi@mandriva.org> 0.5.0-1mdv2007.0
- initial Mandriva release
